GET v1/Search/Prospects/BasicSearch?keyword={keyword}&type={type}&locationID={locationID}&pageNumber={pageNumber}&pageSize={pageSize}&orderBy={orderBy}&orderDirection={orderDirection}&status={status}&name={name}&prospectNumber={prospectNumber}&email={email}&phone={phone}&zipCode={zipCode}
Perform a basic search against the prospect contact type
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| keyword |
Search keyword |
string |
None. |
| type |
P-Personal, C-Commercial |
string |
None. |
| locationID |
Id of the location |
string |
None. |
| pageNumber |
Page number |
integer |
Default value is 1 |
| pageSize |
Page size |
integer |
Default value is 10 |
| orderBy |
Order by |
string |
None. |
| orderDirection |
Order direction |
string |
None. |
| status |
Status |
string |
None. |
| name |
Name |
string |
None. |
| prospectNumber |
Prospect number |
string |
None. |
|
|
string |
None. |
|
| phone |
Phone |
string |
None. |
| zipCode |
Zip code |
string |
None. |
Body Parameters
None.
Response Information
Resource Description
Contact search result
ContactSearchResultsDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of ContactSearchDTO |
None. |
|
| PageNumber | integer |
None. |
|
| PagesTotal | integer |
None. |
|
| TotalItems | integer |
None. |
|
| IsSuccess | boolean |
None. |
|
| ErrorCode | string |
None. |
|
| ErrorMessage | string |
None. |
|
| DisplayMessage | string |
None. |
|
| Links | Collection of PageLink |
None. |
|
| Href | string |
None. |
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.